Package org.apache.avro.hadoop.io

# Class AvroDatumConverterFactory.LongWritableConverter

java.lang.Object
org.apache.avro.hadoop.io.AvroDatumConverter<LongWritable,Long>
org.apache.avro.hadoop.io.AvroDatumConverterFactory.LongWritableConverter

Enclosing class:
  `AvroDatumConverterFactory`

public static class AvroDatumConverterFactory.LongWritableConverter extends AvroDatumConverter<LongWritable,Long>
Converts LongWritables into Longs.

## Constructor Summary

Constructors
Constructor
Description
`LongWritableConverter()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Long`
`convert(LongWritable input)`
`org.apache.avro.Schema`
`getWriterSchema()`
Gets the writer schema that should be used to serialize the output Avro datum.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongWritableConverter

public LongWritableConverter()
Constructor.

## Method Details

### convert

public Long convert(LongWritable input)

Specified by:
  `convert` in class `AvroDatumConverter<LongWritable,Long>`

### getWriterSchema

public org.apache.avro.Schema getWriterSchema()
Gets the writer schema that should be used to serialize the output Avro datum.

Specified by:
  `getWriterSchema` in class `AvroDatumConverter<LongWritable,Long>`
Returns:
  The writer schema for the output Avro datum.